GNUMERIC(1)

NOME
gnumeric - Una applicazione di foglio elettronico per GNOME.

SINTASSI
gnumeric [OPTIONS] [files ... ]

DESCRIZIONE
Gnumeric è un potente programma di foglio lettronico creato dal Progetto GNOME. Gnumeric cerca di competere con i fogli elettronici commerciali diventando completamente compatibile con Microsoft Excel(TM) e attraverso il supporto di molti formati di file di fogli elettronici conosciuti quali appunto Excel(TM), Lotus 1-2-3(TM), Applix(TM), Sylk(TM), XBase(TM), Oleo(TM) e OpenOffice.org.

Gnumeric supporta calcoli avanzati con utilizzo di funzioni statistiche, finanziarie e di accesso a basi di dati. La stampa dei dati è supportata attraverso un incompleto ma potente sistema di stampa. Un sistema a plugin aggiunge nuove funzionalità  a gnumeric , per esempio abilitando l'esportazione di dati nel formato LaTeX \longtable. I Plugin possono essere utilizzati per definire funzioni personalizzate. E' presente una rudimentale interfaccia di script per il linguaggio Python che sarà  potenziata in un prossimo futuro. Da quando gnumeric è software libero, gnumeric può anche essere esteso direttamente a livello del codice sorgente da ogni programmatore competente.

Il programma può essere avviato da linea di comando come gnumeric o da uno dei menu previsti dalla sottostante piattaforma. Quando avviato da linea di comando, gnumeric può essere seguito dalle opzioni elencate di seguito e possibilmente dal nome di file nei vari formati che possono essere aperti immediatamente. Per esempio, il comando:

    gnumeric myfile.gnumeric &

lancerà  gnumeric e aprirà  il file chiamato "myfile.gnumeric". Il formato predefinito per i file gnumeric è lo XML (extensible markup language) che successivamente è stato compresso con gzip.

OPZIONI UTENTE
Questo programma segue la tradizionale sintassi a linea di comando GNU, con opzioni a lettera singola preceduta da un trattino singolo (`-') e opzioni più lunghe precedute da due trattini (`--').

  Opzioni di aiuto
-?, --help Mostra un messaggio di aiuto.

--usage
    Mostra un messaggio di istruzioni sull'utilizzo.

  Opzioni di Gnumeric

-v, --version
    Mostra il numero di versione installata di gnumeric.

--no-splash
    Avvia gnumeric senza mostrare la schermata di avvio.

-L, --lib-dir=STRING
    Imposta la directory principale delle librerie a STRING che può essere un percorso (assoluto o relativo).

-D, --data-dir=STRING
    Imposta la directory principale per i dati a STRING che può essere un percorso (assoluto o relativo).

  Opzioni per la disposizione della finestra

-g, --geometry=WIDTHxHEIGHT+XOFF+YOFF
    Imposta dimensione e posizione della prima finestra (di lavoro). Tutte le unità  sono in pixel. L'origine X parte dalla sinistra dello schermo, l'origine Y dalla parte superiore dello schermo: Per esempio, -g=800x600+20+30 avvierà  una finestra gnumeric di larghezza 800 pixel di larghezza per 600 pixel di altezza, con origine a 20 pixel dalla sinistra dello schermo e a 30 pixel dalla parte superiore dello stesso.

--display=DISPLAY
    X display da utilizzare, dove DISPLAY ha la forma nome host:Xdisplay.Screen. Prestare attenzione che l'host che visualizza gnumeric dovrebbe avere assegnati i diritti di visualizzazione dall'host su cui gira gnumeric.

--screen=SCREEN
    Schermo X da usare, una forma più compatta della funzionalità  descritta sopra.

OPZIONI AVANZATE

  Opzioni di Gnumeric

--dump-func-defs=FILE
    Memorizza le definizioni di funzione nel file con nome FILE.

--dump-func-state=FILE
    Memorizza le definizioni di funzione nel file con nome FILE.

--debug=LEVEL
    Abilita alcune funzioni di debug.

--debug_deps=LEVEL
    Abilita alcune dipendenze relative a funzioni di debug.

--debug_share=LEVEL
    Abilita alcune dipendenze di funzioni per la condivisione di espressioni.

--debug_print=LEVEL
    Abilita alcuni comportamenti di debug della stampa.

--quit
    Termina immediatamente dopo avere caricato le librerie selezionate (utilizzabile in fase di test).

  Opzioni Oaf

--oaf-ior-fd=FD
    Descrittore di file sul quale stampare il IOR.

--oaf-activate-iid=IID
    IID da attivare.

--oaf-private
    Previene la registrazione di server con OAF.

  Opzioni GNOME

--disable-sound
    Disattiva l'utilizzo del server sonoro.

--enable-sound
    Attiva l'utilizzo del server sonoro.

--espeaker=HOSTNAME:PORT
    nome host:porta host sul quale è in funzione il server sonoro da usare.

--disable-crash-dialog
    Disattiva la comunicazione per la trasmissione di bug che appare se Gnumeric va in crash.

  Opzioni GTK

--gdk-debug=FLAGS
    Flag di debug Gdk da impostare.

--gdk-no-debug=FLAGS
    Flag di debug Gdk debugging da non impostare.

--sync
    Sincronizza le chiamate X.

--name=NAME
    Nome del programma usato dal gestore di finestre.

--class=CLASS
    Categoria di programma usata dal gestore di finestre.

--gxid_host=HOST
    L'host sul quale contattare il demone gxid. Sovrascrive la variabile d'ambiente GXID_HOST. Questa opzione è disponibile solo se le GTK+ sono state configurate con --gdk-target=x11.

--gxid_port=PORT
    La porta per la connessione a gxid. Sovrascrive la variabile d'ambiente GXID_PORT. Questa opzione è disponibile solo se le GTK+ sono state configurate con --gdk-target=x11.

--gtk-debug=FLAGS
    Flag di debug Gtk+ da impostare.

--gtk-no-debug=FLAGS
    Flag di debug Gtk+ da non impostare.

--g-fatal-warnings
    Rende fatali tutte le segnalazioni di errore.

--gtk-module=MODULE
    Carica un modulo Gtk addizionale.

  Opzioni di gestione delle sessioni

--sm-client-id=ID
    Specifica l'ID della gestione di sessione.

--sm-config-prefix=PREFIX
    Specifica il prefisso della configurazione salvata.

--sm-disable
    Disattiva la connessione al gestore di sessione.

VERSIONE
Questa man page descrive gnumeric versione 1.2.

BUG
Per l'elenco dei bug di gnumeric consciuti, o per segnalarne di nuovi, visitare http://bugzilla.gnome.org.

VEDERE ANCHE

Il Manuale di Gnumeric
    Disponibile attraverso il menu Help o sul world wide web su http://www.gnome.org/projects/gnumeric/doc/index.html

La homepage di Gnumeric
    http://www.gnome.org/projects/gnumeric/

La pagina web del Progetto GNOME
    http://www.gnome.org/

LICENZA

Gnumeric è rilasciato entro i termini della General Public License (GPL), versione 2. Per informazioni su questa licenza vedere il codice sorgente fornito con il software o vedere la pagina web del Progetto GNU su http://www.gnu.org/.

COPYRIGHT

Il copyright dei binari e del codice sorgente di gnumeric è stabilito da ogni sviluppatore come documentato nel codice sorgente medesimo.

AUTORI

  Gnumeric
Jody Goldberg <jgoldberg@gnome.org>
Miguel de Icaza <miguel@gnome.org>

  Questa man page
Jan Schaumann <jschauma@netmeister.org>
Adrian Custer <acuster@gnome.org>